:root {
    --white-color: #FFF;
    --beige-color: #FFFDF7;
    --ash-brown-color: #6E685D;
    --cream-sand-color: #EAE3D3;
    --cream-sand-sd-color: #ddd5c3;
    --burgundy-color: #904c40;
    --green-color: #426446;
    --light-green-color: #498759;
    --yellow-color: #D7B261;
    --dark-gray: #35453c;
}

body.page-template.page-template-template-flexible-blocks {
    background: var(--beige-color);
    overflow-x: hidden;
}


#wpadminbar .ab-item,
#wpadminbar .ab-item .ab-icon,
#wpadminbar .ab-item .ab-icon::before,
#wpadminbar .ab-item::before {
@media (max-width: 375px) {
    width: 40px !important;
}
}

.main-flexible-blocks .button {
    display: block;
    width: fit-content;
    font-family: 'Montserrat';
    font-size: 16px;
    font-weight: 600;
    text-align: center;
    text-decoration: none;
    text-transform: uppercase;
    color: var(--burgundy-color);
    min-width: 223px;
    border: 2px solid var(--burgundy-color);
    padding: .75em 1em;
    line-height: 1.3em;
    transition: all .3s ease;

&:hover {
     color: var(--white-color);
     background: var(--burgundy-color);
 }
}

.main-flexible-blocks .section-title {
    font-size: 28px;
}

/* ----- HERO BLOCK ----- */
.hero {
    position: relative;
}

.hero::before {
    content: '';
    display: block;
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background: var(--ash-brown-color);
    opacity: .56;
}

.hero .hero__bg {
    display: block;
    object-fit: cover;
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

.hero .hero__inner {
    min-height: 100svh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 17px;
    text-align: center;
    padding-block: 137px 110px;
@media (max-width: 980px) {
    padding-block: 100px 50px;
}
}

.hero .hero__logo {
    max-width: 260px;
    height: unset;
@media (max-width: 1365px) {
    max-width: 200px;
}
@media (max-width: 980px) {
    max-width: 150px;
}
}

.hero .hero__title {
    font-size: 28px;
    line-height: 32px;
    color: var(--cream-sand-color);
    margin-top: 10px;
    max-width: 550px;
}

.hero .hero__buttons {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 17px;
}

.hero .button {
    color: var(--cream-sand-color);
    border-color: var(--cream-sand-color);
}

.hero .button.button-secondary {
    color: var(--green-color);
    border-color: var(--cream-sand-color);
    background: var(--cream-sand-color);
}

.hero .button:hover,
.hero .button.button-secondary:hover {
    color: var(--green-color);
    background: #eae3d370;
}

/* ----- CONTENT BLOCK ----- */
.content-block {
    padding-block: 75px 50px;
@media (max-width: 980px) {
    padding-block: 40px;
}
}

.content-block .content-block__inner {
    max-width: 904px;
    margin-inline: auto;
}

.content-block .content-block__title * {
    font-size: 45px;
    line-height: 1.1;
    color: var(--light-green-color);
    margin-bottom: 40px;
@media (max-width: 980px) {
    font-size: 30px;
    margin-bottom: 20px;
}
}

.content-block .content-block__text ul {
    margin-left: 45px;
    margin-bottom: 25px;
@media (max-width: 980px) {
    margin-left: 15px;
    margin-bottom: 20px;
}
}

.content-block .content-block__text ul li {
    display: flex;
    column-gap: 15px;

@media (max-width: 980px) {
    column-gap: 7px;
}
}

.content-block .content-block__text ul li::before {
    content: '>';
    transform: translateY(-2px);
}

/* ----- IMAGE AND TEXT BLOCK ----- */
.img-txt-block {
    position: relative;
    z-index: 3;
    padding-top: 322px;
@media (max-width: 980px) {
    padding-top: 150px;
}
}

.img-txt-block + section.featured-post-block {
    padding-top: 255px;
    margin-top: -255px;
}

.img-txt-block .img-txt-block__bg {
    display: block;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: calc(100% - 255px);
}

.img-txt-block .img-txt-block__box {
    max-width: 1022px;
    margin-inline: auto;
    text-align: center;
    padding: 60px 60px 70px;
    background: var(--beige-color);
    box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
@media (max-width: 980px) {
    padding: 40px 20px;
}
}

.img-txt-block .img-txt-block__title {
    position: relative;
    font-size: 28px;
    line-height: 1.2;
    color: var(--light-green-color);
    padding-bottom: 20px;
}

.img-txt-block .img-txt-block__title::after {
    content: '';
    position: absolute;
    display: block;
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    max-width: 140px;
    width: 100%;
    height: 2px;
    background: var(--light-green-color);
}

.img-txt-block .img-txt-block__text {
    margin-top: 40px;
@media (max-width: 640px) {
    margin-top: 20px;
}
}

.img-txt-block .img-txt-block__text * {
    color: var(--dark-gray);
}

.img-txt-block .button {
    margin-top: 45px;
    margin-inline: auto;
@media (min-width: 980px) {
    padding-inline: 30px;
}
}

/* ----- FEATURED POST BLOCK ----- */

.featured-post-block {
    position: relative;
    padding-bottom: 70px;
}

.featured-post-block::before {
    content: '';
    display: block;
    position: absolute;
    inset: 0;
    width: 100%;
    height: 80%;
    background-color: var(--green-color);
@media (max-width: 980px) {
    height: calc(100% - 100px);
}
}

.featured-post-block .featured-post-block__inner {
    max-width: 1022px;
    margin-inline: auto;
}

.featured-post-block .featured-post-block__post-info span {
    text-transform: uppercase;
}

.featured-post-block .featured-post-block__title {
    font-size: 45px;
    line-height: 1.1;
    color: var(--yellow-color);
    text-align: center;
    padding-block: 115px 75px;
    max-width: 850px;
    margin-inline: auto;
@media (max-width: 980px) {
    font-size: 30px;
    padding-block: 70px 45px;
}
}

.featured-post-block .featured-post-block__post {
    position: relative;
    padding-block: 135px 60px;
@media (max-width: 1200px) {
    padding-block: 70px 45px;
}
@media (max-width: 980px) {
    padding-block: 0;
}
}

.featured-post-block .featured-post-block__thumbnail {
    display: block;
    position: absolute;
    top: 0;
    left: 135px;
    object-fit: cover;
    height: 100%;
    width: calc(100% - 135px);
@media (max-width: 1200px) {
    left: 70px;
    width: calc(100% - 70px);
}
@media (max-width: 980px) {
    position: relative;
    z-index: 2;
    width: 70%;
    left: 0;
    margin-top: -20px;
    margin-inline: auto;
}
@media (max-width: 640px) {
    width: 90%;
}
}

.featured-post-block .featured-post-block__post-box {
    position: relative;
    z-index: 2;
    padding: 42px 30px;
    max-width: 460px;
    background: var(--cream-sand-color);
@media (max-width: 980px) {
    max-width: 90%;
    margin-inline: auto;
    padding: 40px 30px 50px;
}
@media (max-width: 640px) {
    max-width: 100%;
    padding: 30px 20px 50px;
}
}

.featured-post-block .featured-post-block__post-box * {
    color: var(--dark-gray);
}

.featured-post-block .featured-post-block__post-title {
    font-size: 28px;
    line-height: 1.2;
    padding-bottom: 0;
}

.featured-post-block .featured-post-block__post-title a {
    text-decoration: none;
}

.featured-post-block .featured-post-block__post-excerpt {
    margin-top: 45px;
@media (max-width: 640px) {
    margin-top: 20px;
}
}

.featured-post-block .featured-post-block__post-box .featured-post-block__post-link {
    color: var(--burgundy-color);
    display: block;
    width: fit-content;
    line-height: 1;
    font-weight: 600;
    text-transform: uppercase;
    text-decoration: none;
    margin-top: 24px;
    padding-bottom: 4px;
    border-bottom: 2px solid currentColor;
}

/* ----- CONTENT and VIDEO BLOCK ----- */
.content-video {
    padding-left: 10%;
    padding-block: 85px 130px;
@media (max-width: 1200px) {
    padding-block: 80px;
}
@media (max-width: 980px) {
    padding-left: 0;
    padding-block: 40px;
}
}

.content-video .content-video__inner {
    display: grid;
    grid-template-columns: 40% 56%;
    column-gap: 4%;
@media (max-width: 980px) {
    grid-template-columns: 1fr;
    gap: 70px 0;
}
@media (max-width: 767px) {
    gap: 70px 0;
}
}

.content-video .content-video__content {
@media (max-width: 980px) {
    padding-inline: 10%;
}
}

.content-video .content-video__content-wrap {
    max-width: 460px;
    margin-left: auto;
@media (max-width: 980px) {
    margin-left: 0;
}
}

.content-video .content-video__content-inner {
    max-width: 330px;
@media (max-width: 980px) {
    max-width: 100%;
}
}

.content-video .content-video__title {
    position: relative;
    font-size: 28px;
    line-height: 1.2;
    color: var(--light-green-color);
    padding-bottom: 20px;
}

.content-video .content-video__title::after {
    content: '';
    position: absolute;
    display: block;
    left: 0;
    bottom: 0;
    max-width: 140px;
    width: 100%;
    height: 2px;
    background: var(--light-green-color);
}

.content-video .content-video__text {
    margin-top: 40px;
@media (max-width: 640px) {
    margin-top: 20px;
}
}

.content-video .button {
    margin-top: 30px;
}

.content-video .content-video__video-box {
    position: relative;
    padding-bottom: 56.25%;
}

.content-video .content-video__play-btn {
    cursor: pointer;
    display: flex;
    position: absolute;
    z-index: 5;
    width: 128px;
    aspect-ratio: 1;
    top: 0;
    transform: translateY(-50%);
    right: 16vw;
    transition: all .3s ease;
@media (max-width: 767px) {
    width: 90px;
}
}

.content-video .content-video__play-btn path {
    fill: var(--light-green-color);
    transition: all .3s ease;
}

.content-video .content-video__play-btn g {
    stroke: var(--light-green-color);
    transition: all .3s ease;
}

.content-video .content-video__play-btn:hover path {
    fill: var(--green-color);
}

.content-video .content-video__play-btn:hover g {
    stroke: var(--green-color);
}

.content-video .content-video__img,
.content-video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.content-video .content-video__iframe-inner {
    display: contents;
}

.content-video iframe {
    opacity: 0;
    visibility: hidden;
    transition: all .3s ease;
}

.content-video .js-video-playing iframe {
    opacity: 1;
    visibility: visible;
}

.content-video .js-video-playing .content-video__play-btn {
    opacity: 0;
    overflow: hidden;
}


/* ----- POSTS LOOP BLOCK ----- */

.posts-loop {
    padding-top: 20px;
}

.posts-loop .posts-loop__container {
    width: 90%;
    max-width: 1210px;
    margin-inline: auto;
}

.posts-loop .posts-loop__wrapper {
    padding-bottom: 90px;
}

.posts-loop .posts-loop__filter {
    margin-bottom: 60px;
}

.posts-loop .posts-loop__filter .filter_button {
    text-decoration: none;
}

.posts-loop .posts-loop__list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 50px 24px;
@media (max-width: 980px) {
    grid-template-columns: repeat(2, 1fr);
}
@media (max-width: 767px) {
    grid-template-columns: 1fr;
}
}

.posts-loop .loop-post * {
    text-decoration: none;
}

.posts-loop .loop-post {
@media (max-width: 767px) {
    background-color: var(--cream-sand-color);
}
}

.posts-loop .loop-post__info {
@media (max-width: 767px) {
    padding: 10px 15px 20px;
}
}


.posts-loop .loop-post__thumbnail {
    display: block;
    height: 250px;
    background-color: var(--cream-sand-color);
}

.posts-loop .loop-post__thumbnail img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.posts-loop .loop-post__meta {
    margin-top: 17px;
}

.posts-loop .loop-post__meta * {
    text-transform: uppercase;
    color: var(--dark-gray);
}

.posts-loop .loop-post__title {
    color: var(--dark-gray);
    font-size: 22px;
    line-height: 1.45;
    margin-top: 9px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    -webkit-line-clamp: 3;
    padding-bottom: 0;
}

.posts-loop .loop-post__more-link {
    display: block;
    width: fit-content;
    line-height: 1;
    font-weight: 600;
    text-transform: uppercase;
    text-decoration: none;
    margin-top: 15px;
    padding-bottom: 4px;
    border-bottom: 2px solid currentColor;
}

.posts-loop .posts-loop__pagination-block {
    width: 100%;
    background-color: var(--cream-sand-sd-color);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 45px;
}

.posts-loop .posts-loop__pagination .page-numbers {
    display: inline-flex;
    width: 37px;
    height: 37px;
    margin: 10px;
    border: solid 1px var(--dark-gray);
    color: var(--dark-gray);
    align-items: center;
    justify-content: center;
    padding-top: .2em;
    cursor: pointer;
    transition: all .3s ease-in-out;
    text-decoration: none;
}

.posts-loop .posts-loop__pagination .page-numbers.current {
    background-color: var(--dark-gray);
    color: var(--cream-sand-sd-color);
}

.posts-loop .posts-loop__pagination .page-numbers:hover {
    background-color: #35453C99;
    border-color: transparent;
    color: var(--cream-sand-sd-color);
}




